Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.ejb
Interface PreparedQuery

public interface PreparedQuery
extends QueryProperties

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.ejb.QueryProperties
`TX_MANDATORY, TX_REQUIRED, TX_REQUIRES_NEW`

Method Summary
`java.sql.ResultSet` | `execute()` Executes the specified query.
`java.util.Collection` | `find()` Executes the specified query.
`java.lang.String` | `getEjbql()`
`void` | `setBigDecimal(int index, java.math.BigDecimal value)`
`void` | `setBigInteger(int index, java.math.BigInteger value)`
`void` | `setBinary(int index, byte[] value)`
`void` | `setBoolean(int index, boolean value)`
`void` | `setByte(int index, byte value)`
`void` | `setCalender(int index, java.util.Calendar value)`
`void` | `setCharacter(int index, char value)`
`void` | `setDate(int index, java.sql.Date value)`
`void` | `setDate(int index, java.util.Date value)`
`void` | `setDouble(int index, double value)`
`void` | `setFloat(int index, float value)`
`void` | `setInt(int index, int value)`
`void` | `setLong(int index, long value)`
`void` | `setObject(int index, java.lang.Object value)`
`void` | `setShort(int index, short value)`
`void` | `setString(int index, java.lang.String value)`
`void` | `setTime(int index, java.util.Date value)`
`void` | `setTime(int index, java.sql.Time value)`
`void` | `setTimestamp(int index, java.util.Date value)`
`void` | `setTimestamp(int index, java.sql.Timestamp value)`

Methods inherited from interface weblogic.ejb.QueryProperties
`getIncludeUpdates, getMaxElements, getTransaction, isResultTypeRemote, setIncludeUpdates, setMaxElements, setResultTypeRemote, setTransaction`

Method Detail

### find

    public java.util.Collection find()
                              throws javax.ejb.FinderException

  Executes the specified query.

### execute

    public java.sql.ResultSet execute()
                               throws javax.ejb.FinderException

  Executes the specified query.

### getEjbql

    public java.lang.String getEjbql()

### setString

    public void setString(int index,
                          java.lang.String value)

### setBigDecimal

    public void setBigDecimal(int index,
                              java.math.BigDecimal value)

### setBigInteger

    public void setBigInteger(int index,
                              java.math.BigInteger value)

### setBinary

    public void setBinary(int index,
                          byte[] value)

### setBoolean

    public void setBoolean(int index,
                           boolean value)

### setByte

    public void setByte(int index,
                        byte value)

### setCharacter

    public void setCharacter(int index,
                             char value)

### setShort

    public void setShort(int index,
                         short value)

### setInt

    public void setInt(int index,
                       int value)

### setLong

    public void setLong(int index,
                        long value)

### setFloat

    public void setFloat(int index,
                         float value)

### setDouble

    public void setDouble(int index,
                          double value)

### setDate

    public void setDate(int index,
                        java.sql.Date value)

### setDate

    public void setDate(int index,
                        java.util.Date value)

### setTime

    public void setTime(int index,
                        java.sql.Time value)

### setTime

    public void setTime(int index,
                        java.util.Date value)

### setTimestamp

    public void setTimestamp(int index,
                             java.sql.Timestamp value)

### setTimestamp

    public void setTimestamp(int index,
                             java.util.Date value)

### setCalender

    public void setCalender(int index,
                            java.util.Calendar value)

### setObject

    public void setObject(int index,
                          java.lang.Object value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD